$(document).ready(function () {
  // Event-Listener für Navbar-Links
  $(".navbar-nav a").on("click", function () {
    $(".navbar-collapse").collapse("hide");
  });

  // Event-Listener für Passwort zeigen/verborgen
  $("#show_hide_password a").on("click", function (event) {
    event.preventDefault();
    var inputField = $("#show_hide_password input");
    var icon = $("#show_hide_password i");
    if (inputField.attr("type") == "text") {
      inputField.attr("type", "password");
      icon.addClass("fa-eye-slash");
      icon.removeClass("fa-eye");
    } else if (inputField.attr("type") == "password") {
      inputField.attr("type", "text");
      icon.removeClass("fa-eye-slash");
      icon.addClass("fa-eye");
    }
  });

  // Event-Listener für Datei-Upload
  $(".custom-file-input").on("change", function (e) {
    var fileName = document.getElementById("fw-update-file").files[0].name;
    var nextSibling = e.target.nextElementSibling;
    nextSibling.innerText = fileName;
  });

  // Event-Listener für Live-Debug-Eingabe
  $('#livedebug-in').on('keydown', function(event) {
    if (event.key === 'Enter' || event.keyCode === 13) {
      event.preventDefault(); // Verhindert, dass die Enter-Taste die Standardaktion ausführt (z.B. Absenden eines Formulars)
      
      const command = $('#livedebug-in').val(); // Den Befehl aus dem Eingabefeld holen
      websocket_sendDebugCommand(command); // Den Befehl an die Funktion übergeben

      $('#livedebug-in').val(''); // Leert das Eingabefeld
      $('#livedebug-in').focus(); // Setzt den Fokus zurück auf das Eingabefeld
    }
  });
});
